Subject: Re: WA Spanish updates done?
From: Labor Law <[email-masked]>
To: Lisa LLPS <[email-masked]>
Cc: Michael B <[email-masked]>, Eric Largent <[email-masked]>
Date: Tue, 13 Dec 2016 09:17:22 -0500

I put a few changes on Lisa's desk yesterday. Just minor changes to the
Spanish interpretation.

On Mon, Dec 12, 2016 at 12:05 PM, Lisa LLPS <[email-masked]> wrote:

> Hi Mike,
>
> Yes, it's done and in the print folder. I've also attached it if Becca
> wants to look it over, make sure everything is correct. Let me know if you
> need anything else, guys!
>
> Thanks,
> Lisa
>
>
> On Mon, Dec 12, 2016 at 11:59 AM, Michael B <[email-masked]>
> wrote:
>
>> Hello Lisa.
>> Wondering if you have updated the Minimum Wage on the Washington Spanish
>> poster (pg 1). Please do so if you haven't yet. Please email Eric and Becca
>> when it is complete. Please copy me on that as well. Much appreciated.
>> Thank you,
>> Michael B
>> LLPS
>>
>
>